apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: "{{ pvc_name }}"
  namespace: "{{ k8s_mariadbop_namespace }}"
spec:
  storageClassName: "{{ storage_class_name }}"
  accessModes:
{% if storage_class_name != "block" %}  
    - ReadWriteMany
{% else %}
    - ReadWriteOnce
{% endif %}
  resources:
    requests:
      storage: "{{ storage_size }}"
